MST(1)

NAME
mst - manual page for mst 4.19.0

DESCRIPTION

    MST (Mellanox Software Tools) service =====================================

    This script is used to start MST service, to stop it, and for some other operations with Mellanox devices like reset or enabling remote access.

    The mst commands are: -----------------------

    mst start [--with_msix] [--with_unknown] [--with_i2cdev] [--with_lpcdev]

    Create special files that represent Mellanox devices in directory /dev/mst. Load appropriate kernel modules and saves PCI configuration headers in directory /var/mst_pci. After successfully completion of this command the MST driver is ready to work and you can invoke other Mellanox tools like Infiniburn or tdevmon. You can configure the start command by edit the configuration file: /etc/mft/mst.conf, for example you can rename you devices.

    Options: --with_msix : Create the msix device. --with_unknown : Do not check if the device ID is supported. --with_i2cdev : Create Embedded I2C master

    mst stop [--force]

    Stop Mellanox MST driver service, remove all special files/directories and unload kernel modules.

    Options: --force : Force try to stop mst driver even if it's in use.

    mst restart [--with_msix] [--with_unknown] [--with_i2cdev] [--with_lpcdev]

Just like "mst stop" followed by
    "mst start [--with_msix] [--with_unknown] [--with_i2cdev] [--with_lpcdev]"

    mst server start [port]

    Start MST server to allow incoming connection. Default port is 23108

    mst server stop

    Stop MST server.

    mst remote add <hostname>[:port]

    Establish connection with specified host on specified port (default port is 23108). Add devices on remote peer to local devices list. <hostname> may be host name as well as an IP address.

    mst remote del <hostname>[:port]

    Remove all remote devices on specified hostname. <hostname>[:port] should be specified exactly as in the "mst remote add" command.

    mst ib add [OPTIONS] [local_hca_id] [local_hca_port]

    Add devices found in the IB fabric for inband access. Requires OFED installation and an active IB link.

    If local_hca_id and local_hca_port are given, the IB subnet connected to the given port is scanned. Otherwise, the default subnet is scanned.

    OPTIONS:

    --discover-tool <discover-tool>: The tool that is used to discover the fabric.

    Supported tools: ibnetdiscover, ibdiagnet. default: ibdiagnet

    --add-non-mlnx : Add non Mellanox nodes. --topo-file <topology-file>: A prepared topology file which describes the fabric.

    For ibnetdiscover: provide an output of the tool. For ibdiagnet: provide LST file that ibdiagnet generates.

--use-ibdr
    : Access by direct route MADs. Available only when using ibnetdiscover tool, for 5th generation devices.

    NOTE: if a topology file is specified, device are taken from it.

    Otherwise, a discover tool is run to discover the fabric.

    mst ib del

    Remove all inband devices.

    mst cable add [OPTIONS] [params]

    Add the cable that are connected to the devices, which support the MCIA access register. There are an option to add the cables found in the IB fabric for Cable Info access, requires OFED installation and active IB links.

    If local_hca_id and local_hca_port are given, the IB subnet connected to the given port is scanned. Otherwise, all the devices will be scanned.

    OPTIONS:

    --with_ib: Add the inband cables in addition to the local PCI devices.

    params: [local_hca_id] [local_hca_port]

    mst cable del

    Remove all cable devices.

    mst status

    Print current status of Mellanox devices

    Options: -v run with high verbosity level (print more info on each device)

    mst save

    Save PCI configuration headers in directory /var/mst_pci.

    mst load

    Load PCI configuration headers from directory /var/mst_pci.

    mst version

    Print the version info

SEE ALSO
The full documentation for mst is maintained as a Texinfo manual. If the info and mst programs are properly installed at your site, the command

    info mst

should give you access to the complete manual.